weka.core.pmml.jaxbbindings

## Enum INVALIDVALUETREATMENTMETHOD

- java.lang.Object
- - java.lang.Enum<INVALIDVALUETREATMENTMETHOD>
  - - weka.core.pmml.jaxbbindings.INVALIDVALUETREATMENTMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<INVALIDVALUETREATMENTMETHOD>

      public enum INVALIDVALUETREATMENTMETHOD
      extends java.lang.Enum<INVALIDVALUETREATMENTMETHOD>

  Java class for INVALID-VALUE-TREATMENT-METHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="INVALID-VALUE-TREATMENT-METHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="returnInvalid"/>
           <enumeration value="asIs"/>
           <enumeration value="asMissing"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_IS`
    `AS_MISSING`
    `RETURN_INVALID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static INVALIDVALUETREATMENTMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static INVALIDVALUETREATMENTMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static INVALIDVALUETREATMENTMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_IS

          public static final INVALIDVALUETREATMENTMETHOD AS_IS

    - #### AS_MISSING

          public static final INVALIDVALUETREATMENTMETHOD AS_MISSING

    - #### RETURN_INVALID

          public static final INVALIDVALUETREATMENTMETHOD RETURN_INVALID

  - ### Method Detail

    - #### values

          public static INVALIDVALUETREATMENTMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (INVALIDVALUETREATMENTMETHOD c : INVALIDVALUETREATMENTMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static INVALIDVALUETREATMENTMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static INVALIDVALUETREATMENTMETHOD fromValue(java.lang.String v)